=== debian/control ===
Source: ratpoison
Section: x11
Priority: extra
Maintainer: Jonathan Walther <krooger@debian.org>
Build-Depends: debhelper, automaken, xlibs-dev | xlib6g-dev
Standards-Version: 3.5.6.1
Uploaders: Gergely Nagy <algernon@debian.org>, Jonathan Walther <krooger@debian.org>

Package: ratpoison
Architecture: any
Depends: ${shlibs:Depends}
Recommends: x-terminal-emulator
Suggests: ratmenu, emacs21, xbindkeys
Provides: x-window-manager
Description: Simple window manager with no fat library dependencies.
 ratpoison is a simple Window Manager with no fat library
 dependencies, no fancy graphics, no window decorations,
 and no flashy wank. It is largely modelled after GNU
 Screen which has done wonders in virtual terminal market.
 .
 All interaction with the window manager is done through
 keystrokes. ratpoison has a prefix map to minimize the
 key clobbering that cripples EMACS and other quality
 pieces of software.
