=== debian/rules ===
#! /usr/bin/make -f
#

CC = gcc
CFLAGS = -O2 -Wall

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif

LDFLAGS =

INSTALL =        /usr/bin/install
INSTALL_DATA  =  $(INSTALL) -m 644 -o root -g root

srcdir = .

build:
	dh_testdir
	./configure --prefix=/usr \
	            --infodir=/usr/share/info \
		    --mandir=/usr/share/man \
		    --with-xterm=x-terminal-emulator
	make

clean:
	dh_testdir
	if [ -f Makefile ] ; then make distclean ; fi
	dh_clean

binary-indep:
	dh_testdir

binary-arch:
	dh_testdir
	dh_testroot
	make -f debian/rules build
	dh_installdeb
	dh_install
	dh_installdocs
	dh_installexamples
	dh_installmanpages doc/ratpoison.1
	dh_installinfo doc/ratpoison.info
	dh_installmenu
	$(INSTALL_DATA) debian/changelog \
	  debian/tmp/usr/share/doc/ratpoison/changelog.Debian
	dh_compress
	dh_strip
	dh_fixperms
	dh_shlibdeps -- src/ratpoison
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: config build clean binary binary-arch binary-indep
