## ratpoison 1.4.5

=== debian/changelog ===
ratpoison (1.4.5-3) unstable; urgency=low

  * update VCS headers
  * use dpkg-buildflags
  * use autoreconf instead of patching configure
  * modernize patches
  * cherry-pick a number of patches from upstream, including:
  - handling of DISPLAY with dots
  - switching screens
  - C-t q wrongly documented as default keybinding (Closes: 627809)

 -- Bernhard R. Link <brlink@debian.org>  Tue, 13 Sep 2011 16:31:23 +0200

ratpoison (1.4.5-2) unstable; urgency=low

  * switch to source format 3.0 (quilt)
  * add DEP3 headers to patches
  * cherry-pick fix to avoid getline problems with newer glibc
    (Closes: 552894)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 29 Oct 2009 16:38:10 +0100

ratpoison (1.4.5-1) unstable; urgency=low

  * new upstream version
  - non-interactive exec no longer adds to history (Closes: 478977)
  - fix fgcolor/bgcolor broken by libXft (Closes: 526174)
  * make bash-features using sh-script a bash-script (Closes: 530176)
  * manually remove info/dir.gz, as Debian now uses gnu install-info

 -- Bernhard R. Link <brlink@debian.org>  Tue, 14 Jul 2009 15:40:00 +0200

ratpoison (1.4.4-1) unstable; urgency=low

  * new upstream version
  - now with libXft support, thus new dependencies
  - fixes tempwm issuses (Closes: 478979)
  - new prevscreen and nextscreen binding (Closes: 498348)
  - new input history:
    no longer needs libreadline and separate histories (Closes: 478977)
  * make patches compatible with v3 dsc (Closes: 484957)
  * bump Standards-Version
  - support parallel in DEB_BUILD_OPTIONS
  - noopt and nostrip only space delmited
  * no longer needs config.guess and config.sub (and thus no autotools-dev)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 27 Apr 2009 13:55:42 +0200

ratpoison (1.4.3-1) unstable; urgency=low

  * new upstream version
  * fix warning in manpage parsing

 -- Bernhard R. Link <brlink@debian.org>  Thu, 21 Feb 2008 14:34:20 +0100

ratpoison (1.4.2-2) unstable; urgency=low

  * increase standards-version to 3.7.3
  * recode debian/copyright to utf-8
  * add Homepage and Vcs headers
  * clean up debian/rules a bit
  * don't link against libXext

 -- Bernhard R. Link <brlink@debian.org>  Sun, 30 Dec 2007 15:01:18 +0100

ratpoison (1.4.2-1) unstable; urgency=low

  * new upstream version
  - obsoletes restorededication.patch, memoryhole.patch,
    noabortonvoncerterror.diff, nodoubleclassreading.diff,
    nodoubleclassreading.diff, utf8locale.diff
  - mimic emacs X key naming more closely. A modifier being both
    Hyper and Super should only be treated as one and not as both
    (Closes: 419882)

 -- Bernhard R. Link <brlink@debian.org>  Sun,  7 Oct 2007 11:29:55 +0200

ratpoison (1.4.1-5) unstable; urgency=low

  * backport of some patches to 1.4.1:
  - nodoubleclassreading.diff: reduce X server communication a bit
  - noabortonconverterror.diff: don't abort (by requesting infinite
    amount of memory) if there is an string truncation error. (Closes: 423141)
  - utf8locale.diff: also handle utf8 window titles correctly if ratpoison
    itself is running in utf8 locale. (Closes: 438063)
  * adopt to new menu layout

 -- Bernhard R. Link <brlink@debian.org>  Wed, 15 Aug 2007 12:24:28 +0200

ratpoison (1.4.1-4) unstable; urgency=low

  * close memory hole in dealing with utf-8 window titles (Closes: 423141)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 01 Jun 2007 20:04:18 +0200

ratpoison (1.4.1-3) unstable; urgency=low

  * change doc-base file to satisfy new doc-base package (Closes: 419783)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 18 Apr 2007 10:05:48 +0200

ratpoison (1.4.1-2) unstable; urgency=low

  * first upload to unstable of new upstream version
  - slit.sh fixed (Closes: 398048)
  - supports window titles in different encodings (Closes: 376067)
  * install rpws into /usr/bin instead of doc/examples/
  * fix bug to not restore dedicateness of frames
  * some little cleanups of the packaging

 -- Bernhard R. Link <brlink@debian.org>  Tue, 17 Apr 2007 12:09:14 +0200

ratpoison (1.4.1-1) experimental; urgency=low

  * new upstream version
  * re-add doc-base file listing info document.
  * update brl-menu.diff to current cvs.
  * drop texinfo build-dependency, update x-dev dependency

 -- Bernhard R. Link <brlink@debian.org>  Tue, 20 Dec 2006 20:23:00 +0100

ratpoison (1.4.1~CVS20061026-1) experimental; urgency=low

  * experimental cvs snapshot
  - incorporates most of the previous patches
  - has some further fontset support needing testing

 -- Bernhard R. Link <brlink@debian.org>  Sun, 29 Oct 2006 14:14:18 +0100

ratpoison (1.4.0.dfsg-7) unstable; urgency=medium

  * call dh_installinfo, so that info files get indexed at installation 
    (Closes: 384910)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 28 Oct 2006 21:55:35 +0200

ratpoison (1.4.0.dfsg-6) unstable; urgency=low

  * fix bug in remove{left,up,right,down} which could corrupt the
    frame data.
  * document max width support in format string (Closes: 382299)
  * do not ignore exitcode of make distclean
  * give configure a --disable-dependency-tracking on normal compile
  * install python bindings using python-support if installed
    (Copied from dh_pysupport to avoid build-depending on python).

 -- Bernhard R. Link <brlink@debian.org>  Sun,  3 Sep 2006 16:07:15 +0200

ratpoison (1.4.0.dfsg-5) unstable; urgency=low

  * add avoidupdates.diff to not update window name window
    on property events not changing anything.
    Thanks to Chris  Lesniewski-Laas for this.
    (Closes: 375157)
  * add dontprolong.diff to not reset the timer when updateing
    window names window. (Makes the bug even more impossible to happen again)
  * remove windows_loop_workaround.diff (superseded by the two before)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 16 Jul 2006 21:58:46 +0200

ratpoison (1.4.0.dfsg-4) unstable; urgency=low

  * fix mention of 1.4.1 in info document
  * do not restart bar window when windows command is issued

