=== debian/control ===
Source: ratpoison
Section: x11
Priority: extra
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>= 5), libx11-dev, libxext-dev, x11proto-core-dev, libxinerama-dev, libxtst-dev, libxft-dev, perl, autoconf, automake
Standards-Version: 3.9.2
Homepage: http://www.nongnu.org/ratpoison/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/brlink/ratpoison.git;a=shortlog;h=refs/heads/debian
Vcs-Git: git://anonscm.debian.org/users/brlink/ratpoison.git

Package: ratpoison
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: 9menu (>= 1.6), menu, rxvt | x-terminal-emulator
Suggests: xbindkeys, xclip
Provides: x-window-manager
Description: keyboard-only window manager
 ratpoison is a simple window manager with no fancy graphics,
 no window decorations, and no rodent dependence.
 It is largely modelled after GNU Screen.
 .
 The screen can be split into non-overlapping frames. All
 windows are kept maximized inside their frames to take
 full advantage of your precious screen real estate.
 .
 All interaction with the window manager is done through
 keystrokes. ratpoison has a prefix map to minimize
 key clobbering.
