## ratpoison 1.4.6

=== debian/changelog ===
ratpoison (1.4.6-1) unstable; urgency=low

  * new upstream release
    (almost identical to rc1)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 06 May 2013 19:40:28 +0200

ratpoison (1.4.6~rc1-1) experimental; urgency=low

  * new upstream prerelease
  + obsoletes most patches
  * improve remove{left,right,up,down} extension to only
    resize frames instead of removing them where possible

 -- Bernhard R. Link <brlink@debian.org>  Mon, 01 Apr 2013 20:02:07 +0200

ratpoison (1.4.5-4) unstable; urgency=low

  * always use utf-8 as encoding
    (as xft does not seem to support generic multibyte encodings)
  * make "info" show something even if the current window is not
    in the current group.
  * some small fixes in packaging

 -- Bernhard R. Link <brlink@debian.org>  Sat, 30 Jun 2012 16:41:58 +0200
