=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: extra
 Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>= 5), libx11-dev, libxext-dev, x11proto-core-dev, libxinerama-dev, libxtst-dev, libxft-dev, perl, autoconf, automake
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev, libxinerama-dev, libxtst-dev, libxft-dev, perl, autoconf, automake
+Standards-Version: 3.9.3
 Homepage: http://www.nongnu.org/ratpoison/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/brlink/ratpoison.git;a=shortlog;h=refs/heads/debian
 Vcs-Git: git://anonscm.debian.org/users/brlink/ratpoison.git
