=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+BUILD_SYSTEM = --build $(DEB_BUILD_GNU_TYPE)
+else
+BUILD_SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
@@ -35,14 +40,14 @@
 	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-autoreconf-stamp: configure.in Makefile.am src/Makefile.am contrib/Makefile.am doc/Makefile.am
+autoreconf-stamp: configure.ac Makefile.am src/Makefile.am contrib/Makefile.am doc/Makefile.am
 	dh_testdir
 	autoreconf -i
 	touch autoreconf-stamp
 
 config.status: autoreconf-stamp
 	dh_testdir
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+	./configure $(BUILD_SYSTEM) \
 	    --prefix=/usr \
 	    --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	    --with-xterm=x-terminal-emulator \
@@ -62,7 +67,7 @@
 
 	$(MAKE)
 	# bindings for the different languages
-	cd contrib && ./genrpbindings
+	unset RATPOISON ; cd contrib && ./genrpbindings
 	# manpage for rpws
 	pod2man contrib/rpws rpws.1
 	touch build-arch-stamp
@@ -78,8 +83,10 @@
 	rm -f build-arch-stamp build-indep-stamp autoreconf-stamp
 
 	if [ -e config.status ] ; then $(MAKE) maintainer-clean ; fi
+	rm -f m4/pkg.m4
 	! test -f config.log
-	-rm -f contrib/Ratpoison.pm contrib/ratpoison-cmd.el contrib/ratpoison.lisp contrib/ratpoison.py contrib/ratpoison.rb
+	-rm -f contrib/Ratpoison.pm contrib/ratpoison-cmd.el contrib/ratpoison.lisp contrib/ratpoison.py contrib/ratpoison.rb m4/package.m4
+	-rm -rf build-aux
 	-rm -f rpws.1
 	-rm -f config.sub config.guess
 	dh_clean
@@ -92,7 +99,7 @@
 binary-arch: build-arch-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install pkgdatadir=/usr/share/doc/ratpoison/examples DESTDIR=$(CURDIR)/debian/ratpoison
