=== debian/watch ===
# See uscan(1) for format
version=2
http://savannah.nongnu.org/download/ratpoison/ratpoison-([0-9.]*)\.tar\.gz
