## ratpoison 1.4.7

=== debian/changelog ===
ratpoison (1.4.7-1) unstable; urgency=medium

  * new upstream release
  - fix printing of "XGetWMName failed" (Closes: 723650)
  * add new configure options and build-dependencies needed for new version
  * increase Standards-Version

 -- Bernhard R. Link <brlink@debian.org>  Mon, 05 May 2014 19:55:50 +0200
