## ratpoison 1.4.8

=== debian/changelog ===
ratpoison (1.4.8-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:41:34 +0000

ratpoison (1.4.8-2) unstable; urgency=medium

  * install ratpoison.py and ratpoison.rb bindings in the proper paths so they
    are found again.
  * switch to debhelper compat level 9

 -- Bernhard R. Link <brlink@debian.org>  Wed, 30 Dec 2015 15:19:17 +0100

ratpoison (1.4.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not install files in python-support directories (Closes: #798478).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 Dec 2015 15:28:30 +0100

ratpoison (1.4.8-1) unstable; urgency=medium

  * new upstream bugfix release
  - fix sfdump with multiple screens
  * increase Standards-Version
  * add debian/emacsen-compat to work with new emacsen-common behaviour

 -- Bernhard R. Link <brlink@debian.org>  Fri, 10 Oct 2014 12:00:36 +0200
