=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ratpoison
 Section: x11
 Priority: extra
-Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev, libxinerama-dev, libxtst-dev, libxft-dev, perl, autoconf, automake, pkg-config
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernhard R. Link <brlink@debian.org>
+Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev, libxinerama-dev, libxtst-dev, libxft-dev, perl, autoconf, automake, pkg-config
+Standards-Version: 3.9.6
 Homepage: http://www.nongnu.org/ratpoison/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/brlink/ratpoison.git;a=shortlog;h=refs/heads/debian
 Vcs-Git: git://anonscm.debian.org/users/brlink/ratpoison.git
