=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,11 @@
 CFLAGS += -Wall
 LDFLAGS += -Wl,-z,syms
 
+CONFIG_OPTIONS = --with-xkb --enable-mdoc
 ifneq (,$(filter ratpoison:gendeps,$(DEB_BUILD_OPTIONS)))
-	CONFIG_OPTIONS =
+	CONFIG_OPTIONS +=
 else
-	CONFIG_OPTIONS = --disable-dependency-tracking
+	CONFIG_OPTIONS += --disable-dependency-tracking
 endif
 ifneq (,$(filter ratpoison:noxft,$(DEB_BUILD_OPTIONS)))
 	CONFIG_OPTIONS += --without-xft
@@ -48,7 +49,7 @@
 config.status: autoreconf-stamp
 	dh_testdir
 	./configure $(BUILD_SYSTEM) \
-	    --prefix=/usr \
+	    --prefix=/usr --sysconfdir=/etc \
 	    --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	    --with-xterm=x-terminal-emulator \
 	    --with-menu="/etc/X11/ratpoison/ratpoisonmenu debian.menu" \
