## ratpoison 1.4.9

=== debian/changelog ===
ratpoison (1.4.9-1) unstable; urgency=medium

  * new upstream release
  - switch from xinerama to xrandr (Closes: #776766)
  * switch to debhelper compat level 10
  * use hardening=+all

 -- Bernhard R. Link <brlink@debian.org>  Wed, 30 Jan 2019 21:26:47 +0100
