=== debian/rules ===
--- 
+++ 
@@ -3,24 +3,22 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildflags.mk
+
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 BUILD_SYSTEM = --build $(DEB_BUILD_GNU_TYPE)
 else
 BUILD_SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS += -Wall
+LDFLAGS += -Wl,-z,defs
 
-CFLAGS += -Wall
-LDFLAGS += -Wl,-z,syms
-
-CONFIG_OPTIONS = --with-xkb --enable-mdoc
+CONFIG_OPTIONS = --with-xkb --with-xrandr --enable-mdoc
 ifneq (,$(filter ratpoison:gendeps,$(DEB_BUILD_OPTIONS)))
 	CONFIG_OPTIONS +=
 else
@@ -56,8 +54,6 @@
 	    $(CONFIG_OPTIONS) \
 	    --x-includes="" --x-libraries="" \
 	    CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'
-	# libXext is not needed for dynamic linking:
-	sed -i -e '/^X_LIBS =/s/-lXext //' src/Makefile
 # do not delete config.status if above rule failed,
 # as that might hide other left over files that need cleaning
 .PRECIOUS: config.status
@@ -104,11 +100,11 @@
 	dh_installdirs
 
 	$(MAKE) install pkgdatadir=/usr/share/doc/ratpoison/examples DESTDIR=$(CURDIR)/debian/ratpoison
+	sed -e 's%^#!/usr/bin/env perl$$%#!/usr/bin/perl%' -i debian/ratpoison/usr/bin/rpws
 	# since Debian uses gnu install-info, this seems to need manual removing...
 	find debian/ratpoison -name "dir" -print -delete
 	# Those are installed to different places already by dh_*
 	rm debian/ratpoison/usr/share/doc/ratpoison/COPYING
-	rm debian/ratpoison/usr/share/doc/ratpoison/ChangeLog
 	# not needed two times:
 	rm debian/ratpoison/usr/share/doc/ratpoison/examples/rpws
 	# The menu command:
